.seo-block__content {
  position: relative;
  max-height: 215px;
  overflow: hidden;
  transition: max-height 0.3s ease-in-out;
}
@media (min-width: 992px) {
  .seo-block__content {
    max-height: 145px;
  }
}
.seo-block__content::before {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  right: 0;
  width: 100%;
  height: 110px;
  z-index: 1;
  background: linear-gradient(180deg, rgba(255, 255, 255, 0) 0%, #fff 100%);
  opacity: 1;
  visibility: visible;
  pointer-events: none;
  transition: opacity 0.3s ease-in-out, visibility 0.3s ease-in-out;
}
.seo-block__content.show-all::before {
  opacity: 0;
  visibility: hidden;
}
.seo-block__wrap {

  h1 {
    font-size: 24px;
    line-height: 1;

    @media (min-width: 768px) {
      font-size: 34px;
    }
    @media (min-width: 1024px) {
      font-size: 45px;
    }
  }

  h2 {
    font-size: 20px;
    line-height: 1.1;

    @media (min-width: 768px) {
      font-size: 26px;
    }
    @media (min-width: 1024px) {
      font-size: 36px;
    }
  }

  h3 {
    font-size: 18px;
    line-height: 1.1;

    @media (min-width: 768px) {
      font-size: 22px;
    }
    @media (min-width: 1024px) {
      font-size: 25px;
    }
  }

  h4 {
    font-size: 22px;
    line-height: 1.1;

    @media (min-width: 768px) {
      font-size: 20px;
    }
    @media (min-width: 1024px) {
      font-size: 22px;
    }
  }

  h5 {
    font-size: 18px;
    line-height: 1.1;

    @media (min-width: 1024px) {
      font-size: 20px;
    }
  }

  h6 {
    font-size: 16px;
    line-height: 1.1;

    @media (min-width: 1024px) {
      font-size: 18px;
    }
  }

  b, strong {
    font-weight: 500;
  }

  h1, h2, h3, h4, h5, h6 {
    margin-top: 15px;
    margin-bottom: 15px;
    line-height: 1.35;

    @media (min-width: 768px) {
      margin-top: 25px;
      margin-bottom: 25px;
    }
  }

  p + h1, p + h2, p + h3, p + h4, p + h5, p + h6,
  ul + h1, ul + h2, ul + h3, ul + h4, ul + h5, ul + h6,
  ol + h1, ol + h2, ol + h3, ol + h4, ol + h5, ol + h6
  {
    margin-top: 25px;
  }

  a[id] {
    display: block;
    visibility: hidden;
    height: 100px;
    margin-top: -100px;
  }

  a[id] + h1,
  a[id] + h2,
  a[id] + h3,
  a[id] + h4,
  a[id] + h5,
  a[id] + h6
  {
    margin-top: 20px;
  }

  h1 + h1,
  h1 + h2,
  h1 + h3,
  h1 + h4,
  h1 + h5,
  h1 + h6,

  h2 + h1,
  h2 + h2,
  h2 + h3,
  h2 + h4,
  h2 + h5,
  h2 + h6,

  h3 + h1,
  h3 + h2,
  h3 + h3,
  h3 + h4,
  h3 + h5,
  h3 + h6,

  h4 + h1,
  h4 + h2,
  h4 + h3,
  h4 + h4,
  h4 + h5,
  h4 + h6,

  h5 + h1,
  h5 + h2,
  h5 + h3,
  h5 + h4,
  h5 + h5,
  h5 + h6,

  h6 + h1,
  h6 + h2,
  h6 + h3,
  h6 + h4,
  h6 + h5,
  h6 + h6 {
    margin-top: 18px;
  }

  h1 + p, h2 + p, h3 + p, h4 + p, h5 + p, h6 + p {
    margin-top: 18px;
  }

  p + p {
    margin-top: 15px;
  }

  p + ul, p + ol {
    margin-top: 10px;
  }

  ul + p, ol + p {
    margin-top: 20px;
  }

  ul, ol {
    list-style: none;
    font-size: 20px;
    line-height: 1.4;
    color: #3F4162;
    font-weight: 400;
  }

  ul li + li, ol li + li {
    margin-top: 18px;
  }

  ul li p + p,
  ol li p + p {
    margin-top: 15px;
  }

  figure {
    margin-block: 30px;

    img {
      width: 100%;
      height: 100%;
      object-fit: contain;
      max-height: 500px;
    }

    figcaption {
      font-weight: 450;
      font-size: 16px;
      line-height: 1.5;
      color: #ABB1C3;
    }
  }

  ul {
    list-style: none;

    li {
      padding: 0 0 0 30px;
      position: relative;

      &::before {
        content: "";
        position: absolute;
        top: 14px;
        left: 12px;
        width: 6px;
        height: 6px;
        border-radius: 100%;
        background-color: #1E65F4;
      }
    }
  }

  ol {
    counter-reset: num;
    list-style-type: none;

    li {
      padding: 0 0 0 30px;
      position: relative;
      counter-increment: num;
      font-size: inherit;

      &::before {
        position: absolute;
        top: 0;
        left: 0;
        font-weight: 500;
        font-size: 20px;
        line-height: 1.4;
        color: #1E65F4;
        content: counter(num) ". ";
      }
    }
  }

  p, li {
    font-weight: 450;
    font-size: 14px;
    line-height: 1.4;
    color: #3F4162;

    @media (min-width: 992px) {
      font-size: 18px;
    }
  }

  font-weight: 450;
  font-size: 14px;
  line-height: 1.4;
  color: #3F4162;

  @media (min-width: 992px) {
    font-size: 18px;
  }
}

.seo-block__button {
  margin-top: 30px;
  font-weight: 450;
  font-size: 18px;
  line-height: 1.24;
  color: #1E65F4;
}